新聞中心

EEPW首頁 > 嵌入式系統 > 編輯觀點 > 盤點在使用openvino過程中遇到的一些問題,如何解決的-第3篇

盤點在使用openvino過程中遇到的一些問題,如何解決的-第3篇

作者:時間:2022-04-20來源:收藏

OpenVINO是英特爾基于自身現有的硬件平臺開發的一種可以加快高性能計算機視覺和深度學習視覺應用開發速度工具套件,支持各種英特爾平臺的硬件加速器上進行深度學習,并且允許直接異構執行。 支持在Windows與Linux系統,Python/C++語言。

本文引用地址:http://www.advisorsnote.com/article/202204/433278.htm

主要特點:

平臺上提升計算機視覺相關深度學習性能達19倍以上

解除CNN-based的網絡在邊緣設備的性能瓶頸

對OpenCV,OpenXV*視覺庫的傳統API實現加速與優化

基于通用API接口在CPU、GPU、FPGA等設備上運行加上

OpenVINO工具包(ToolKit)主要包括兩個核心組件,模型優化器(Model Optimizer)和(Model Optimizer)

在這里盤點一些在使用中遇到的問題及怎么解決的。這是第三篇,之前兩篇請見:

盤點在使用過程中遇到的一些問題,如何解決的-第1篇

http://www.advisorsnote.com/article/202203/432548.htm

盤點在使用過程中遇到的一些問題,如何解決的-第2篇

http://www.advisorsnote.com/article/202204/432865.htm

------------------------------------------------------------------------------------

1.問:有沒有玩過計算棒2代的朋友,請教一個問題,device名稱應該寫VPU還是MYRIAD,好像是VPU,但是在ubuntu18里面,我都安裝了2021.4,也安裝了install_NCS_udev_rules.sh和install__dependencies.sh,但是提示我 Device with "VPU" name is not registered in the InferenceEngine,請問要如何在推理引擎中注冊VPU?

答:如果是一根就是myriad,多根就安裝vpu的驅動

回復:謝謝!的確應該是MYRIAD 但是報下面的錯誤,是有些操作不支持?

[Warning][VPU][Config] Deprecated option was used : VPU_HW_STAGES_OPTIMIZATION

terminate called after throwing an instance of 'InferenceEngine::GeneralError'

  what():  [ GENERAL_ERROR ]

/home/jenkins/agent/workspace/private-ci/ieild-linux-ubuntu18/b/repos/openvino/inference-enginecpu/graph_transformerc/frontend/frontend.cpp:441 Failed to compile layer "HardSigmoid@0/HardSigmoid_": unsupported layer type "HardSigmoid"

答:要裝ov驅動的,在ov里邊裝ncs2的驅動,才能調用

問:install_NCS_udev_rules.sh和install_openvino_dependencies.sh我都安裝了啊,好像是HardSigmoid這個層類型不支持。請問在哪里能查到vpu支持的層類型?

問:最近發現一個有趣的事情,INTEL官網上寫的是6代以后的酷睿才能支持,剛才不小心在I5-4300上跑起來了,但是GPU不行~

答:寫的6代是因為cpu更新太快了,不代表以前的不能跑,只是支持不夠好。你的GPU是誰家的,intel的核顯是支持的。

問:也是intel的 HD Graphics 4400(HSW GT2),不過能不能跑無所謂。您知道怎么查VPU支持的layer 類型么?

答:這樣,你可以指定device為multi plugin,vpu不支持的層cpu會自動處理,這樣perf也會比單vpu好很多。這樣你就可以不需要關注具體的執行

問:喔噢,關鍵是我想運行的電腦的CPU是J1900這種的,怕是一個層也處理不了···,我試試去。謝謝!

問:我把device改成了MULTI:MYRIAD,CPU,也是報一樣的錯誤,好像沒有自動把不支持的層放到CPU,還是在VPU上算?

圖片.png

答:J1900這種產品有點特殊呀,這是賽揚的處理器。我也沒用過這個u跑過AI測試。ov支持的系列里好像沒這個。建議你先試試你的模型在酷睿平臺可以跑嘛?或者是你在你的j1900上先試試ov官方提供的幾個demo看能否運行起來。這樣排查一下,就可以找到問題了


2.有沒有大佬知道這個情況要怎么處理

圖片.png

我跑通了yolov5.可以出現框,但是沒有類別,按照github里面的指導增加了類別信息,沒有加好,出現了段錯誤

答:那你的路徑下有requirement文件嗎

問:我想問一下,生成build里面有很多demo,但是release下面只有一個可執行文件,那么這個可執行文件是包含了所有的demo的功能嗎

答:你的build參數貼一下


3.問: 大佬們,請問if算子不兼容的問題怎么解決呢?

答:能不能詳細描述一下?在具體執行什么操作遇到的問題

回復:好了,我看過了,是因為版本,2022是支持的


4.問:請問大家誰有openvino2020版本的python包嗎,現在在python里pip install openvino的2020版本好像不行了

答:推薦使用最新版本的

答:

https://www.intel.cn/content/www/cn/zh/developer/tools/openvino-toolkit/download-previous-versions.html?operatingsystem=window&distributions=webdownload&version=2020%204&options=online


5.問:大佬們 openvino現在下載哪個版本的比較好 哪里有比較完善的教程

答:最新版本



關鍵詞: openvino Intel

評論


相關推薦

技術專區

關閉
亚洲中文字幕一级无码